diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/functions.php ./wordpress-3.4/wp-includes/functions.php
*** ./wordpress-3.3.2/wp-includes/functions.php	2011-12-30 16:29:47.000000000 -0600
--- ./wordpress-3.4/wp-includes/functions.php	2012-05-03 11:41:59.000000000 -0500
***************
*** 1213,1227 ****
  
  	preg_match_all( "{\b http : [$any] +? (?= [$punc] * [^$any] | $)}x", $content, $post_links_temp );
  
- 	debug_fwrite( $log, 'Post contents:' );
- 	debug_fwrite( $log, $content . "\n" );
- 
  	foreach ( $pung as $link_test ) {
  		if ( !in_array( $link_test, $post_links_temp[0] ) ) { // link no longer in post
! 			$mid = $wpdb->get_col( $wpdb->prepare("SELECT meta_id FROM $wpdb->postmeta WHERE post_id = %d AND meta_key = 'enclosure' AND meta_value LIKE (%s)", $post_ID, like_escape( $link_test ) . '%') );
! 			do_action( 'delete_postmeta', $mid );
! 			$wpdb->query( $wpdb->prepare("DELETE FROM $wpdb->postmeta WHERE meta_id IN(%s)", implode( ',', $mid ) ) );
! 			do_action( 'deleted_postmeta', $mid );
  		}
  	}
  
--- 424,434 ----
  
  	preg_match_all( "{\b http : [$any] +? (?= [$punc] * [^$any] | $)}x", $content, $post_links_temp );
  
  	foreach ( $pung as $link_test ) {
  		if ( !in_array( $link_test, $post_links_temp[0] ) ) { // link no longer in post
! 			$mids = $wpdb->get_col( $wpdb->prepare("SELECT meta_id FROM $wpdb->postmeta WHERE post_id = %d AND meta_key = 'enclosure' AND meta_value LIKE (%s)", $post_ID, like_escape( $link_test ) . '%') );
! 			foreach ( $mids as $mid )
! 				delete_metadata_by_mid( 'post', $mid );
  		}
  	}
  
***************
*** 1241,1248 ****
  		if ( $url != '' && !$wpdb->get_var( $wpdb->prepare( "SELECT post_id FROM $wpdb->postmeta WHERE post_id = %d AND meta_key = 'enclosure' AND meta_value LIKE (%s)", $post_ID, like_escape( $url ) . '%' ) ) ) {
  
  			if ( $headers = wp_get_http_headers( $url) ) {
! 				$len = (int) $headers['content-length'];
! 				$type = $headers['content-type'];
  				$allowed_types = array( 'video', 'audio' );
  
  				// Check to see if we can figure out the mime type from
--- 448,455 ----
  		if ( $url != '' && !$wpdb->get_var( $wpdb->prepare( "SELECT post_id FROM $wpdb->postmeta WHERE post_id = %d AND meta_key = 'enclosure' AND meta_value LIKE (%s)", $post_ID, like_escape( $url ) . '%' ) ) ) {
  
  			if ( $headers = wp_get_http_headers( $url) ) {
! 				$len = isset( $headers['content-length'] ) ? (int) $headers['content-length'] : 0;
! 				$type = isset( $headers['content-type'] ) ? $headers['content-type'] : '';
  				$allowed_types = array( 'video', 'audio' );
  
  				// Check to see if we can figure out the mime type from
***************
*** 1261,1269 ****
  				}
  
  				if ( in_array( substr( $type, 0, strpos( $type, "/" ) ), $allowed_types ) ) {
! 					$meta_value = "$url\n$len\n$type\n";
! 					$wpdb->insert($wpdb->postmeta, array('post_id' => $post_ID, 'meta_key' => 'enclosure', 'meta_value' => $meta_value) );
! 					do_action( 'added_postmeta', $wpdb->insert_id, $post_ID, 'enclosure', $meta_value );
  				}
  			}
  		}
--- 468,474 ----
  				}
  
  				if ( in_array( substr( $type, 0, strpos( $type, "/" ) ), $allowed_types ) ) {
! 					add_post_meta( $post_ID, 'enclosure', "$url\n$len\n$mime\n" );
  				}
  			}
  		}
***************
*** 1393,1399 ****
  			$k = $prefix.$k;
  		if ( !empty($key) )
  			$k = $key . '%5B' . $k . '%5D';
! 		if ( $v === NULL )
  			continue;
  		elseif ( $v === FALSE )
  			$v = '0';
--- 598,604 ----
  			$k = $prefix.$k;
  		if ( !empty($key) )
  			$k = $key . '%5B' . $k . '%5D';
! 		if ( $v === null )
  			continue;
  		elseif ( $v === FALSE )
  			$v = '0';
***************
*** 1406,1412 ****
  			array_push($ret, $k.'='.$v);
  	}
  
! 	if ( NULL === $sep )
  		$sep = ini_get('arg_separator.output');
  
  	return implode($sep, $ret);
--- 611,617 ----
  			array_push($ret, $k.'='.$v);
  	}
  
! 	if ( null === $sep )
  		$sep = ini_get('arg_separator.output');
  
  	return implode($sep, $ret);
***************
*** 1905,1911 ****
  
  	$suppress = $wpdb->suppress_errors();
  
! 	// Loop over the WP tables.  If none exist, then scratch install is allowed.
  	// If one or more exist, suggest table repair since we got here because the options
  	// table could not be accessed.
  	$wp_tables = $wpdb->tables();
--- 1110,1116 ----
  
  	$suppress = $wpdb->suppress_errors();
  
! 	// Loop over the WP tables. If none exist, then scratch install is allowed.
  	// If one or more exist, suggest table repair since we got here because the options
  	// table could not be accessed.
  	$wp_tables = $wpdb->tables();
***************
*** 1921,1928 ****
  
  		// One or more tables exist. We are insane.
  
  		// Die with a DB error.
! 		$wpdb->error = sprintf( /*WP_I18N_NO_TABLES*/'One or more database tables are unavailable.  The database may need to be <a href="%s">repaired</a>.'/*/WP_I18N_NO_TABLES*/, 'maint/repair.php?referrer=is_blog_installed' );
  		dead_db();
  	}
  
--- 1126,1135 ----
  
  		// One or more tables exist. We are insane.
  
+ 		wp_load_translations_early();
+ 
  		// Die with a DB error.
! 		$wpdb->error = sprintf( __( 'One or more database tables are unavailable. The database may need to be <a href="%s">repaired</a>.' ), 'maint/repair.php?referrer=is_blog_installed' );
  		dead_db();
  	}
  
***************
*** 2762,2776 ****
   * @param string $title Error title.
   * @param string|array $args Optional arguments to control behavior.
   */
! function wp_die( $message, $title = '', $args = array() ) {
  	if ( defined( 'DOING_AJAX' ) && DOING_AJAX )
! 		die('-1');
! 
! 	if ( function_exists( 'apply_filters' ) ) {
! 		$function = apply_filters( 'wp_die_handler', '_default_wp_die_handler');
! 	} else {
! 		$function = '_default_wp_die_handler';
! 	}
  
  	call_user_func( $function, $message, $title, $args );
  }
--- 1968,1982 ----
   * @param string $title Error title.
   * @param string|array $args Optional arguments to control behavior.
   */
! function wp_die( $message = '', $title = '', $args = array() ) {
  	if ( defined( 'DOING_AJAX' ) && DOING_AJAX )
! 		$function = apply_filters( 'wp_die_ajax_handler', '_ajax_wp_die_handler' );
! 	elseif ( defined( 'XMLRPC_REQUEST' ) && XMLRPC_REQUEST )
! 		$function = apply_filters( 'wp_die_xmlrpc_handler', '_xmlrpc_wp_die_handler' );
! 	elseif ( defined( 'APP_REQUEST' ) && APP_REQUEST )
! 		$function = apply_filters( 'wp_die_app_handler', '_scalar_wp_die_handler' );
! 	else
! 		$function = apply_filters( 'wp_die_handler', '_default_wp_die_handler' );
  
  	call_user_func( $function, $message, $title, $args );
  }
***************
*** 2821,2827 ****
  		$message .= "\n<p><a href='javascript:history.back()'>$back_text</a></p>";
  	}
  
! 	if ( !function_exists( 'did_action' ) || !did_action( 'admin_head' ) ) :
  		if ( !headers_sent() ) {
  			status_header( $r['response'] );
  			nocache_headers();
--- 2027,2033 ----
  		$message .= "\n<p><a href='javascript:history.back()'>$back_text</a></p>";
  	}
  
! 	if ( ! did_action( 'admin_head' ) ) :
  		if ( !headers_sent() ) {
  			status_header( $r['response'] );
  			nocache_headers();
***************
*** 2859,2864 ****
--- 2065,2079 ----
  			border: 1px solid #dfdfdf;
  			max-width: 700px;
  		}
+ 		h1 {
+ 			border-bottom: 1px solid #dadada;
+ 			clear: both;
+ 			color: #666;
+ 			font: 24px Georgia, "Times New Roman", Times, serif;
+ 			margin: 30px 0 0 0;
+ 			padding: 0;
+ 			padding-bottom: 7px;
+ 		}
  		#error-page {
  			margin-top: 50px;
  		}
***************
*** 2925,2931 ****
  	</style>
  </head>
  <body id="error-page">
! <?php endif; // !function_exists( 'did_action' ) || !did_action( 'admin_head' ) ?>
  	<?php echo $message; ?>
  </body>
  </html>
--- 2140,2146 ----
  	</style>
  </head>
  <body id="error-page">
! <?php endif; // ! did_action( 'admin_head' ) ?>
  	<?php echo $message; ?>
  </body>
  </html>
***************
*** 2959,2973 ****
  }
  
  /**
!  * Filter to enable special wp_die handler for xmlrpc requests.
   *
!  * @since 3.2.0
   * @access private
   */
! function _xmlrpc_wp_die_filter() {
! 	return '_xmlrpc_wp_die_handler';
  }
  
  
  /**
   * Retrieve the WordPress home page URL.
--- 2174,2209 ----
  }
  
  /**
!  * Kill WordPress ajax execution.
   *
!  * This is the handler for wp_die when processing Ajax requests.
!  *
!  * @since 3.4.0
   * @access private
+  *
+  * @param string $message Optional. Response to print.
   */
! function _ajax_wp_die_handler( $message = '' ) {
! 	if ( is_scalar( $message ) )
! 		die( (string) $message );
! 	die( '0' );
  }
  
+ /**
+  * Kill WordPress execution.
+  *
+  * This is the handler for wp_die when processing APP requests.
+  *
+  * @since 3.4.0
+  * @access private
+  *
+  * @param string $message Optional. Response to print.
+  */
+ function _scalar_wp_die_handler( $message = '' ) {
+ 	if ( is_scalar( $message ) )
+ 		die( (string) $message );
+ 	die();
+ }
  
  /**
   * Retrieve the WordPress home page URL.
***************
*** 3098,3104 ****
  		      ':-x' => 'icon_mad.gif',
  		      ':-|' => 'icon_neutral.gif',
  		      ';-)' => 'icon_wink.gif',
! 		       '8)' => 'icon_cool.gif',
  		       '8O' => 'icon_eek.gif',
  		       ':(' => 'icon_sad.gif',
  		       ':)' => 'icon_smile.gif',
--- 2333,2340 ----
  		      ':-x' => 'icon_mad.gif',
  		      ':-|' => 'icon_neutral.gif',
  		      ';-)' => 'icon_wink.gif',
! 		// This one transformation breaks regular text with frequency.
! 		//     '8)' => 'icon_cool.gif',
  		       '8O' => 'icon_eek.gif',
  		       ':(' => 'icon_sad.gif',
  		       ':)' => 'icon_smile.gif',
***************
*** 3369,3384 ****
  	status_header( 500 );
  	nocache_headers();
  	header( 'Content-Type: text/html; charset=utf-8' );
  ?>
  <!DOCTYPE html>
! <html xmlns="http://www.w3.org/1999/xhtml" <?php if ( function_exists( 'language_attributes' ) ) language_attributes(); ?>>
  <head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
! 	<title><?php echo /*WP_I18N_DB_ERROR*/'Database Error'/*/WP_I18N_DB_ERROR*/; ?></title>
  
  </head>
  <body>
! 	<h1><?php echo /*WP_I18N_DB_CONNECTION_ERROR*/'Error establishing a database connection'/*/WP_I18N_DB_CONNECTION_ERROR*/; ?></h1>
  </body>
  </html>
  <?php
--- 2605,2622 ----
  	status_header( 500 );
  	nocache_headers();
  	header( 'Content-Type: text/html; charset=utf-8' );
+ 
+ 	wp_load_translations_early();
  ?>
  <!DOCTYPE html>
! <html xmlns="http://www.w3.org/1999/xhtml"<?php if ( is_rtl() ) echo ' dir="rtl"'; ?>>
  <head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
! 	<title><?php _e( 'Database Error' ); ?></title>
  
  </head>
  <body>
! 	<h1><?php _e( 'Error establishing a database connection' ); ?></h1>
  </body>
  </html>
  <?php
***************
*** 3762,3768 ****
  		$url = WP_SITEURL;
  	} else {
  		$schema = is_ssl() ? 'https://' : 'http://';
! 		$url = preg_replace('|/wp-admin/.*|i', '', $schema . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
  	}
  	return rtrim($url, '/');
  }
--- 3000,3006 ----
  		$url = WP_SITEURL;
  	} else {
  		$schema = is_ssl() ? 'https://' : 'http://';
! 		$url = preg_replace('#/(wp-admin/.*|wp-login.php)#i', '', $schema . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
  	}
  	return rtrim($url, '/');
  }
***************
*** 3794,3801 ****
  /**
   * Suspend cache invalidation.
   *
!  * Turns cache invalidation on and off.  Useful during imports where you don't wont to do invalidations
!  * every time a post is inserted.  Callers must be sure that what they are doing won't lead to an inconsistent
   * cache when invalidation is suspended.
   *
   * @since 2.7.0
--- 3032,3039 ----
  /**
   * Suspend cache invalidation.
   *
!  * Turns cache invalidation on and off. Useful during imports where you don't wont to do invalidations
!  * every time a post is inserted. Callers must be sure that what they are doing won't lead to an inconsistent
   * cache when invalidation is suspended.
   *
   * @since 2.7.0
***************
*** 3812,4134 ****
  }
  
  /**
-  * Retrieve site option value based on name of option.
-  *
-  * @see get_option()
-  * @package WordPress
-  * @subpackage Option
-  * @since 2.8.0
-  *
-  * @uses apply_filters() Calls 'pre_site_option_$option' before checking the option.
-  * 	Any value other than false will "short-circuit" the retrieval of the option
-  *	and return the returned value.
-  * @uses apply_filters() Calls 'site_option_$option', after checking the  option, with
-  * 	the option value.
-  *
-  * @param string $option Name of option to retrieve. Expected to not be SQL-escaped.
-  * @param mixed $default Optional value to return if option doesn't exist. Default false.
-  * @param bool $use_cache Whether to use cache. Multisite only. Default true.
-  * @return mixed Value set for the option.
-  */
- function get_site_option( $option, $default = false, $use_cache = true ) {
- 	global $wpdb;
- 
- 	// Allow plugins to short-circuit site options.
-  	$pre = apply_filters( 'pre_site_option_' . $option, false );
-  	if ( false !== $pre )
-  		return $pre;
- 
- 	if ( !is_multisite() ) {
- 		$value = get_option($option, $default);
- 	} else {
- 		$cache_key = "{$wpdb->siteid}:$option";
- 		if ( $use_cache )
- 			$value = wp_cache_get($cache_key, 'site-options');
- 
- 		if ( !isset($value) || (false === $value) ) {
- 			$row = $wpdb->get_row( $wpdb->prepare("SELECT meta_value FROM $wpdb->sitemeta WHERE meta_key = %s AND site_id = %d", $option, $wpdb->siteid ) );
- 
- 			// Has to be get_row instead of get_var because of funkiness with 0, false, null values
- 			if ( is_object( $row ) ) {
- 				$value = $row->meta_value;
- 				$value = maybe_unserialize( $value );
- 				wp_cache_set( $cache_key, $value, 'site-options' );
- 			} else {
- 				$value = $default;
- 			}
- 		}
- 	}
- 
-  	return apply_filters( 'site_option_' . $option, $value );
- }
- 
- /**
-  * Add a new site option.
-  *
-  * Existing options will not be updated. Note that prior to 3.3 this wasn't the case.
-  *
-  * @see add_option()
-  * @package WordPress
-  * @subpackage Option
-  * @since 2.8.0
-  *
-  * @uses apply_filters() Calls 'pre_add_site_option_$option' hook to allow overwriting the
-  * 	option value to be stored.
-  * @uses do_action() Calls 'add_site_option_$option' and 'add_site_option' hooks on success.
-  *
-  * @param string $option Name of option to add. Expected to not be SQL-escaped.
-  * @param mixed $value Optional. Option value, can be anything. Expected to not be SQL-escaped.
-  * @return bool False if option was not added and true if option was added.
-  */
- function add_site_option( $option, $value ) {
- 	global $wpdb;
- 
- 	$value = apply_filters( 'pre_add_site_option_' . $option, $value );
- 
- 	if ( !is_multisite() ) {
- 		$result = add_option( $option, $value );
- 	} else {
- 		$cache_key = "{$wpdb->siteid}:$option";
- 
- 		if ( false !== get_site_option( $option ) )
- 			return false;
- 
- 		$value = sanitize_option( $option, $value );
- 		wp_cache_set( $cache_key, $value, 'site-options' );
- 
- 		$_value = $value;
- 		$value = maybe_serialize( $value );
- 		$result = $wpdb->insert( $wpdb->sitemeta, array('site_id' => $wpdb->siteid, 'meta_key' => $option, 'meta_value' => $value ) );
- 		$value = $_value;
- 	}
- 
- 	if ( $result ) {
- 		do_action( "add_site_option_{$option}", $option, $value );
- 		do_action( "add_site_option", $option, $value );
- 		return true;
- 	}
- 	return false;
- }
- 
- /**
-  * Removes site option by name.
-  *
-  * @see delete_option()
-  * @package WordPress
-  * @subpackage Option
-  * @since 2.8.0
-  *
-  * @uses do_action() Calls 'pre_delete_site_option_$option' hook before option is deleted.
-  * @uses do_action() Calls 'delete_site_option' and 'delete_site_option_$option'
-  * 	hooks on success.
-  *
-  * @param string $option Name of option to remove. Expected to not be SQL-escaped.
-  * @return bool True, if succeed. False, if failure.
-  */
- function delete_site_option( $option ) {
- 	global $wpdb;
- 
- 	// ms_protect_special_option( $option ); @todo
- 
- 	do_action( 'pre_delete_site_option_' . $option );
- 
- 	if ( !is_multisite() ) {
- 		$result = delete_option( $option );
- 	} else {
- 		$row = $wpdb->get_row( $wpdb->prepare( "SELECT meta_id FROM {$wpdb->sitemeta} WHERE meta_key = %s AND site_id = %d", $option, $wpdb->siteid ) );
- 		if ( is_null( $row ) || !$row->meta_id )
- 			return false;
- 		$cache_key = "{$wpdb->siteid}:$option";
- 		wp_cache_delete( $cache_key, 'site-options' );
- 
- 		$result = $wpdb->query( $wpdb->prepare( "DELETE FROM {$wpdb->sitemeta} WHERE meta_key = %s AND site_id = %d", $option, $wpdb->siteid ) );
- 	}
- 
- 	if ( $result ) {
- 		do_action( "delete_site_option_{$option}", $option );
- 		do_action( "delete_site_option", $option );
- 		return true;
- 	}
- 	return false;
- }
- 
- /**
-  * Update the value of a site option that was already added.
-  *
-  * @see update_option()
-  * @since 2.8.0
-  * @package WordPress
-  * @subpackage Option
-  *
-  * @uses apply_filters() Calls 'pre_update_site_option_$option' hook to allow overwriting the
-  * 	option value to be stored.
-  * @uses do_action() Calls 'update_site_option_$option' and 'update_site_option' hooks on success.
-  *
-  * @param string $option Name of option. Expected to not be SQL-escaped.
-  * @param mixed $value Option value. Expected to not be SQL-escaped.
-  * @return bool False if value was not updated and true if value was updated.
-  */
- function update_site_option( $option, $value ) {
- 	global $wpdb;
- 
- 	$oldvalue = get_site_option( $option );
- 	$value = apply_filters( 'pre_update_site_option_' . $option, $value, $oldvalue );
- 
- 	if ( $value === $oldvalue )
- 		return false;
- 
- 	if ( false === $oldvalue )
- 		return add_site_option( $option, $value );
- 
- 	if ( !is_multisite() ) {
- 		$result = update_option( $option, $value );
- 	} else {
- 		$value = sanitize_option( $option, $value );
- 		$cache_key = "{$wpdb->siteid}:$option";
- 		wp_cache_set( $cache_key, $value, 'site-options' );
- 
- 		$_value = $value;
- 		$value = maybe_serialize( $value );
- 		$result = $wpdb->update( $wpdb->sitemeta, array( 'meta_value' => $value ), array( 'site_id' => $wpdb->siteid, 'meta_key' => $option ) );
- 		$value = $_value;
- 	}
- 
- 	if ( $result ) {
- 		do_action( "update_site_option_{$option}", $option, $value, $oldvalue );
- 		do_action( "update_site_option", $option, $value, $oldvalue );
- 		return true;
- 	}
- 	return false;
- }
- 
- /**
-  * Delete a site transient.
-  *
-  * @since 2.9.0
-  * @package WordPress
-  * @subpackage Transient
-  *
-  * @uses do_action() Calls 'delete_site_transient_$transient' hook before transient is deleted.
-  * @uses do_action() Calls 'deleted_site_transient' hook on success.
-  *
-  * @param string $transient Transient name. Expected to not be SQL-escaped.
-  * @return bool True if successful, false otherwise
-  */
- function delete_site_transient( $transient ) {
- 	global $_wp_using_ext_object_cache;
- 
- 	do_action( 'delete_site_transient_' . $transient, $transient );
- 	if ( $_wp_using_ext_object_cache ) {
- 		$result = wp_cache_delete( $transient, 'site-transient' );
- 	} else {
- 		$option_timeout = '_site_transient_timeout_' . $transient;
- 		$option = '_site_transient_' . $transient;
- 		$result = delete_site_option( $option );
- 		if ( $result )
- 			delete_site_option( $option_timeout );
- 	}
- 	if ( $result )
- 		do_action( 'deleted_site_transient', $transient );
- 	return $result;
- }
- 
- /**
-  * Get the value of a site transient.
-  *
-  * If the transient does not exist or does not have a value, then the return value
-  * will be false.
-  *
-  * @see get_transient()
-  * @since 2.9.0
-  * @package WordPress
-  * @subpackage Transient
-  *
-  * @uses apply_filters() Calls 'pre_site_transient_$transient' hook before checking the transient.
-  * 	Any value other than false will "short-circuit" the retrieval of the transient
-  *	and return the returned value.
-  * @uses apply_filters() Calls 'site_transient_$option' hook, after checking the transient, with
-  * 	the transient value.
-  *
-  * @param string $transient Transient name. Expected to not be SQL-escaped.
-  * @return mixed Value of transient
-  */
- function get_site_transient( $transient ) {
- 	global $_wp_using_ext_object_cache;
- 
- 	$pre = apply_filters( 'pre_site_transient_' . $transient, false );
- 	if ( false !== $pre )
- 		return $pre;
- 
- 	if ( $_wp_using_ext_object_cache ) {
- 		$value = wp_cache_get( $transient, 'site-transient' );
- 	} else {
- 		// Core transients that do not have a timeout. Listed here so querying timeouts can be avoided.
- 		$no_timeout = array('update_core', 'update_plugins', 'update_themes');
- 		$transient_option = '_site_transient_' . $transient;
- 		if ( ! in_array( $transient, $no_timeout ) ) {
- 			$transient_timeout = '_site_transient_timeout_' . $transient;
- 			$timeout = get_site_option( $transient_timeout );
- 			if ( false !== $timeout && $timeout < time() ) {
- 				delete_site_option( $transient_option  );
- 				delete_site_option( $transient_timeout );
- 				return false;
- 			}
- 		}
- 
- 		$value = get_site_option( $transient_option );
- 	}
- 
- 	return apply_filters( 'site_transient_' . $transient, $value );
- }
- 
- /**
-  * Set/update the value of a site transient.
-  *
-  * You do not need to serialize values, if the value needs to be serialize, then
-  * it will be serialized before it is set.
-  *
-  * @see set_transient()
-  * @since 2.9.0
-  * @package WordPress
-  * @subpackage Transient
-  *
-  * @uses apply_filters() Calls 'pre_set_site_transient_$transient' hook to allow overwriting the
-  * 	transient value to be stored.
-  * @uses do_action() Calls 'set_site_transient_$transient' and 'setted_site_transient' hooks on success.
-  *
-  * @param string $transient Transient name. Expected to not be SQL-escaped.
-  * @param mixed $value Transient value. Expected to not be SQL-escaped.
-  * @param int $expiration Time until expiration in seconds, default 0
-  * @return bool False if value was not set and true if value was set.
-  */
- function set_site_transient( $transient, $value, $expiration = 0 ) {
- 	global $_wp_using_ext_object_cache;
- 
- 	$value = apply_filters( 'pre_set_site_transient_' . $transient, $value );
- 
- 	if ( $_wp_using_ext_object_cache ) {
- 		$result = wp_cache_set( $transient, $value, 'site-transient', $expiration );
- 	} else {
- 		$transient_timeout = '_site_transient_timeout_' . $transient;
- 		$transient = '_site_transient_' . $transient;
- 		if ( false === get_site_option( $transient ) ) {
- 			if ( $expiration )
- 				add_site_option( $transient_timeout, time() + $expiration );
- 			$result = add_site_option( $transient, $value );
- 		} else {
- 			if ( $expiration )
- 				update_site_option( $transient_timeout, time() + $expiration );
- 			$result = update_site_option( $transient, $value );
- 		}
- 	}
- 	if ( $result ) {
- 		do_action( 'set_site_transient_' . $transient );
- 		do_action( 'setted_site_transient', $transient );
- 	}
- 	return $result;
- }
- 
- /**
   * Is main site?
   *
   *
--- 3050,3055 ----
***************
*** 4457,4485 ****
  	// PHP will close file handle, but we are good citizens.
  	fclose( $fp );
  
! 	if ( $context != '' ) {
! 		$extra_headers = apply_filters( "extra_{$context}_headers", array() );
  
! 		$extra_headers = array_flip( $extra_headers );
! 		foreach( $extra_headers as $key=>$value ) {
! 			$extra_headers[$key] = $key;
! 		}
  		$all_headers = array_merge( $extra_headers, (array) $default_headers );
  	} else {
  		$all_headers = $default_headers;
  	}
  
  	foreach ( $all_headers as $field => $regex ) {
! 		preg_match( '/^[ \t\/*#@]*' . preg_quote( $regex, '/' ) . ':(.*)$/mi', $file_data, ${$field});
! 		if ( !empty( ${$field} ) )
! 			${$field} = _cleanup_header_comment( ${$field}[1] );
  		else
! 			${$field} = '';
  	}
  
! 	$file_data = compact( array_keys( $all_headers ) );
! 
! 	return $file_data;
  }
  
  /**
--- 3378,3401 ----
  	// PHP will close file handle, but we are good citizens.
  	fclose( $fp );
  
! 	// Make sure we catch CR-only line endings.
! 	$file_data = str_replace( "\r", "\n", $file_data );
  
! 	if ( $context && $extra_headers = apply_filters( "extra_{$context}_headers", array() ) ) {
! 		$extra_headers = array_combine( $extra_headers, $extra_headers ); // keys equal values
  		$all_headers = array_merge( $extra_headers, (array) $default_headers );
  	} else {
  		$all_headers = $default_headers;
  	}
  
  	foreach ( $all_headers as $field => $regex ) {
! 		if ( preg_match( '/^[ \t\/*#@]*' . preg_quote( $regex, '/' ) . ':(.*)$/mi', $file_data, $match ) && $match[1] )
! 			$all_headers[ $field ] = _cleanup_header_comment( $match[1] );
  		else
! 			$all_headers[ $field ] = '';
  	}
  
! 	return $all_headers;
  }
  
  /**
***************
*** 4548,4553 ****
--- 3464,3481 ----
  }
  
  /**
+  * Returns null.
+  *
+  * Useful for returning null to filters easily.
+  *
+  * @since 3.4.0
+  * @return null
+  */
+ function __return_null() {
+ 	return null;
+ }
+ 
+ /**
   * Send a HTTP header to disable content type sniffing in browsers which support it.
   *
   * @link http://blogs.msdn.com/ie/archive/2008/07/02/ie8-security-part-v-comprehensive-protection.aspx
***************
*** 4682,4685 ****
  	return $protocols;
  }
  
! ?>
--- 3610,3698 ----
  	return $protocols;
  }
  
! /**
!  * Return a comma separated string of functions that have been called to get to the current point in code.
!  *
!  * @link http://core.trac.wordpress.org/ticket/19589
!  * @since 3.4
!  *
!  * @param string $ignore_class A class to ignore all function calls within - useful when you want to just give info about the callee
!  * @param int $skip_frames A number of stack frames to skip - useful for unwinding back to the source of the issue
!  * @param bool $pretty Whether or not you want a comma separated string or raw array returned
!  * @return string|array Either a string containing a reversed comma separated trace or an array of individual calls.
!  */
! function wp_debug_backtrace_summary( $ignore_class = null, $skip_frames = 0, $pretty = true ) {
! 	$trace  = debug_backtrace( false );
! 	$caller = array();
! 	$check_class = ! is_null( $ignore_class );
! 	$skip_frames++; // skip this function
! 
! 	foreach ( $trace as $call ) {
! 		if ( $skip_frames > 0 ) {
! 			$skip_frames--;
! 		} elseif ( isset( $call['class'] ) ) {
! 			if ( $check_class && $ignore_class == $call['class'] )
! 				continue; // Filter out calls
! 
! 			$caller[] = "{$call['class']}{$call['type']}{$call['function']}";
! 		} else {
! 			if ( in_array( $call['function'], array( 'do_action', 'apply_filters' ) ) ) {
! 				$caller[] = "{$call['function']}('{$call['args'][0]}')";
! 			} elseif ( in_array( $call['function'], array( 'include', 'include_once', 'require', 'require_once' ) ) ) {
! 				$caller[] = $call['function'] . "('" . str_replace( array( WP_CONTENT_DIR, ABSPATH ) , '', $call['args'][0] ) . "')";
! 			} else {
! 				$caller[] = $call['function'];
! 			}
! 		}
! 	}
! 	if ( $pretty )
! 		return join( ', ', array_reverse( $caller ) );
! 	else
! 		return $caller;
! }
! 
! /**
!  * Retrieve ids that are not already present in the cache
!  *
!  * @since 3.4.0
!  *
!  * @param array $object_ids ID list
!  * @param string $cache_key The cache bucket to check against
!  *
!  * @return array
!  */
! function _get_non_cached_ids( $object_ids, $cache_key ) {
! 	$clean = array();
! 	foreach ( $object_ids as $id ) {
! 		$id = (int) $id;
! 		if ( !wp_cache_get( $id, $cache_key ) ) {
! 			$clean[] = $id;
! 		}
! 	}
! 
! 	return $clean;
! }
! 
! /**
!  * Test if the current device has the capability to upload files.
!  *
!  * @since 3.4.0
!  * @access private
!  *
!  * @return bool true|false
!  */
! function _device_can_upload() {
! 	if ( ! wp_is_mobile() )
! 		return true;
! 
! 	$ua = $_SERVER['HTTP_USER_AGENT'];
! 
! 	if ( strpos($ua, 'iPhone') !== false
! 		|| strpos($ua, 'iPad') !== false
! 		|| strpos($ua, 'iPod') !== false ) {
! 			return false;
! 	} else {
! 		return true;
! 	}
! }
! 
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/functions.wp-scripts.php ./wordpress-3.4/wp-includes/functions.wp-scripts.php
*** ./wordpress-3.3.2/wp-includes/functions.wp-scripts.php	2011-12-08 14:46:58.000000000 -0600
--- ./wordpress-3.4/wp-includes/functions.wp-scripts.php	2012-01-05 14:50:54.000000000 -0600
***************
*** 45,51 ****
   * @param string $handle Script name
   * @param string $src Script url
   * @param array $deps (optional) Array of script names on which this script depends
!  * @param string|bool $ver (optional) Script version (used for cache busting), set to NULL to disable
   * @param bool $in_footer (optional) Whether to enqueue the script before </head> or before </body>
   * @return null
   */
--- 45,51 ----
   * @param string $handle Script name
   * @param string $src Script url
   * @param array $deps (optional) Array of script names on which this script depends
!  * @param string|bool $ver (optional) Script version (used for cache busting), set to null to disable
   * @param bool $in_footer (optional) Whether to enqueue the script before </head> or before </body>
   * @return null
   */
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/functions.wp-styles.php ./wordpress-3.4/wp-includes/functions.wp-styles.php
*** ./wordpress-3.3.2/wp-includes/functions.wp-styles.php	2012-01-02 16:34:31.000000000 -0600
--- ./wordpress-3.4/wp-includes/functions.wp-styles.php	2012-01-05 14:50:54.000000000 -0600
***************
*** 47,53 ****
   * added to the same stylesheet $handle, they will be printed in the order
   * they were added, i.e. the latter added styles can redeclare the previous.
   *
!  * @since 3.3
   * @see WP_Scripts::add_inline_style()
   */
  function wp_add_inline_style( $handle, $data ) {
--- 47,53 ----
   * added to the same stylesheet $handle, they will be printed in the order
   * they were added, i.e. the latter added styles can redeclare the previous.
   *
!  * @since 3.3.0
   * @see WP_Scripts::add_inline_style()
   */
  function wp_add_inline_style( $handle, $data ) {
***************
*** 74,80 ****
   * @param string|bool $src Path to the stylesheet from the root directory of WordPress. Example: '/css/mystyle.css'.
   * @param array $deps Array of handles of any stylesheet that this stylesheet depends on.
   *  (Stylesheets that must be loaded before this stylesheet.) Pass an empty array if there are no dependencies.
!  * @param string|bool $ver String specifying the stylesheet version number. Set to NULL to disable.
   *  Used to ensure that the correct version is sent to the client regardless of caching.
   * @param string $media The media for which this stylesheet has been defined.
   */
--- 74,80 ----
   * @param string|bool $src Path to the stylesheet from the root directory of WordPress. Example: '/css/mystyle.css'.
   * @param array $deps Array of handles of any stylesheet that this stylesheet depends on.
   *  (Stylesheets that must be loaded before this stylesheet.) Pass an empty array if there are no dependencies.
!  * @param string|bool $ver String specifying the stylesheet version number. Set to null to disable.
   *  Used to ensure that the correct version is sent to the client regardless of caching.
   * @param string $media The media for which this stylesheet has been defined.
   */
